## icedove 3.0.11

=== debian/changelog ===
icedove (3.0.11-1+squeeze15) stable-security; urgency=high

  * [e3162df] backported patches from xulrunner fixes mfsa2012-{91,93,101,105}
    - MFSA 2012-91 aka CVE-2012-5842: Miscellaneous memory safety hazards
      (rv:17.0/ rv:10.0.11)
    - MFSA 2012-93 aka CVE-2012-4201: evalInSanbox location context
      incorrectly applied
    - MFSA 2012-101 aka CVE-2012-4207: Improper character decoding in
      HZ-GB-2312 charset
    - MFSA 2012-103 aka CVE-2012-4216, CVE-2012-5829: Frames can shadow
      top.location

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 15 Dec 2012 17:59:04 -0500

icedove (3.0.11-1+squeeze14) stable-security; urgency=low

  * [db8ce96] backported patches from xulrunner fixes mfsa2012-{74,77,81,85-87}
    - MFSA 2012-74 aka CVE-2012-3982: Miscellaneous memory safety hazards
      (rv:16.0/ rv:10.0.8)
    - MFSA 2012-77 aka CVE-2012-3986: Some DOMWindowUtils methods bypass
      security checks
    - MFSA 2012-81 aka CVE-2012-3991: GetProperty function can bypass security
      checks
    - MFSA 2012-85 aka CVE-2012-4179, CVE-2012-4180, CVE-2012-4182:
      Use-after-free, buffer overflow, and out of bounds read issues found
      using Address Sanitizer
    - MFSA 2012-86 aka CVE-2012-4186, CVE-2012-4188: Heap memory corruption
      issues found using Address Sanitizer
    - MFSA 2012-87 aka CVE-2012-3990: Use-after-free in the IME State Manager

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 26 Oct 2012 21:53:42 -0400

icedove (3.0.11-1+squeeze13) stable-security; urgency=high

  * [9738634] backported patches from xulrunner fixes mfsa2012-{57,58,63,65,70}
    - MFSA 2012-57 aka CVE-2012-1970: Miscellaneous memory safety hazards
      (rv:15.0/ rv:10.0.7)
    - MFSA 2012-58 aka CVE-2012-1972, CVE-2012-1973, CVE-2012-1974,
      CVE-2012-1975, CVE-2012-1976, CVE-2012-3959, CVE-2012-3962:
      Use-after-free issues found using Address Sanitizer
    - MFSA 2012-63 aka CVE-2012-3969: SVG buffer overflow and use-after-free
      issues
    - MFSA 2012-65 aka CVE-2012-3972: Out-of-bounds read in format-number in
      XSLT
    - MFSA 2012-70 aka CVE-2012-3978: Location object security checks bypassed
      by chrome code

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 22 Sep 2012 18:44:16 -0400

icedove (3.0.11-1+squeeze12) stable-security; urgency=high

  * [23f20f9] backported patches from xulrunner fixes mfsa2012-{42-44,56}
    - MFSA 2012-42 aka CVE-2012-1948: Miscellaneous memory safety hazards
      (rv:14.0/ rv:10.0.6)
    - MFSA 2012-43 aka CVE-2012-1950: Incorrect URL displayed in addressbar
      through drag and drop
    - MFSA 2012-44 aka CVE-2012-1954: Gecko memory corruption
    - MFSA 2012-56 aka CVE-2012-1967: Code execution through javascript: URLs

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 24 Jul 2012 18:36:42 +0200

icedove (3.0.11-1+squeeze11) stable-security; urgency=high

  * [ee0d82e] backported patches from xulrunner fixes mfsa2012-{34,40}
    - MFSA 2012-34 aka CVE-2012-1937, CVE-2012-1939: Miscellaneous memory
      safety hazards
    - MFSA 2012-40 aka CVE-2012-1940: Buffer overflow and use-after-free
      issues found using Address Sanitizer

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 12 Jun 2012 18:59:10 +0200

icedove (3.0.11-1+squeeze10) stable-security; urgency=low

  * [b3c6c90] Reimplement UTF-7 in mailnews (Closes: #671408, #671410)

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 06 May 2012 20:34:20 +0200

icedove (3.0.11-1+squeeze9) stable-security; urgency=high

  * [54a660a] backported patches from xulrunner fixes mfsa2012-{20,23,24,29,33}
    - MFSA 2012-20 aka CVE-2012-0467: Miscellaneous memory safety hazards
      (rv:12.0/ rv:10.0.4)
    - MFSA 2012-23 aka CVE-2012-0470: Invalid frees causes heap corruption in
      gfxImageSurface
    - MFSA 2012-24 aka CVE-2012-0471: Potential XSS via multibyte content
      processing errors
    - MFSA 2012-29 aka CVE-2012-0477: Potential XSS through
      ISO-2022-KR/ISO-2022-CN decoding issues
    - MFSA 2012-33 aka CVE-2012-0479: Potential site identity spoofing when
      loading RSS and Atom feeds

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 28 Apr 2012 12:34:30 +0200

icedove (3.0.11-1+squeeze8) stable-security; urgency=high

  * [ee15c08] backported patches from xulrunner fixes mfsa2012-{13,14,16,19}
    - MFSA 2012-13 aka CVE-2012-0455: XSS with Drag and Drop and Javascript:
      URL
    - MFSA 2012-14 aka CVE-2012-0456: SVG issues found with Address Sanitizer
    - MFSA 2012-16 aka CVE-2012-0458: Escalation of privilege with Javascript:
      URL as home page
    - MFSA 2012-19 aka CVE-2012-0461: Miscellaneous memory safety hazards
      (rv:11.0/ rv:10.0.3 / rv:1.9.2.28)

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 17 Mar 2012 16:16:20 +0100

icedove (3.0.11-1+squeeze7) stable-security; urgency=low

  * [d8a8858] backported patches from xulrunner fixes mfsa2012-{01,02,07,08}
    - MFSA 2012-01 aka CVE-2012-0442: Miscellaneous memory safety hazards
      (rv:10.0/ rv:1.9.2.26)
    - MFSA 2012-02 aka CVE-2011-3670: Overly permissive IPv6 literal syntax
    - MFSA 2012-07 aka CVE-2012-0444: Potential Memory Corruption When
      Decoding Ogg Vorbis files
    - MFSA 2012-08 aka CVE-2012-0449: Crash with malformed embedded XSLT
      stylesheets

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 07 Feb 2012 18:38:47 +0100

icedove (3.0.11-1+squeeze6) stable-security; urgency=high

  * [6f96c16] backported patches from xulrunner fixes mfsa2011-{46,47,49}
    - MFSA 2011-46 aka CVE-2011-3647: loadSubScript unwraps XPCNativeWrapper
      scope parameter
    - MFSA 2011-47 aka CVE-2011-3648: Potential XSS against sites using
      Shift-JIS
    - MFSA 2011-49 aka CVE-2011-3650: Memory corruption while profiling using
      Firebug

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 10 Nov 2011 21:15:08 +0100

icedove (3.0.11-1+squeeze5) stable-security; urgency=high

  * [44577f9] backported patches from xulrunner fixes mfsa2011-{36-40}

