=== debian/control ===
Source: icedove
Section: web
Priority: optional
Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Christoph Goehre <chris@sigxcpu.org>
Build-Depends: bzip2,
	debhelper (>= 5),
	autoconf2.13,
	autotools-dev,
	libgtk2.0-dev (>= 2.12),
	zip,
	libjpeg62-dev (>= 6b),
	libpng12-dev (>= 1.2.0),
	zlib1g-dev,
	libxft-dev,
	libfontconfig1-dev,
	libidl-dev (>= 0.8.0),
	libxp-dev,
	libxt-dev,
	libxau-dev,
	libcairo2-dev (>= 1.8.8),
	libgnomevfs2-dev (>= 1:2.16),
	libgnomeui-dev (>= 2.16),
	libhunspell-dev (>= 1.2),
	libnspr4-dev (>= 4.8.6),
	libnss3-dev (>= 3.12.8),
	libstartup-notification0-dev,
	libdbus-glib-1-dev (>= 0.60),
	libsqlite3-dev (>= 3.6.22),
	libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	python-ply,
	cdbs (>= 0.4.27)
Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
DM-Upload-Allowed: yes
Standards-Version: 3.9.1

Package: icedove
Architecture: any
Depends: fontconfig, psmisc, debianutils (>= 1.16), ${shlibs:Depends}, ${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary
Suggests: ttf-lyx, libgssapi-krb5-2, ${gnome:Depends}
Provides: mail-reader
Replaces: icedove-gnome-support (<< 3.0-1~)
Breaks: myspell-ru (<< 0.99g5-8.1), myspell-lv (<< 0.7.3-3.1), myspell-et (<< 1:20030606-12.1), myspell-fi (<< 0.7-17.2), myspell-cs-cz (<< 20040229-4.1), myspell-el-gr (<< 0.3-1.1), myspell-nn (<< 2.0.10-3.1), myspell-nb (<< 2.0.10-3.1), hunspell-ar (<< 0.0.0+20080110-1.1), myspell-hu (<< 0.99.4-1.2), hunspell-gl-es (<< 2.2a-6), myspell-gv (<< 0.50-8), myspell-en-au (<< 2.1-5), myspell-fa (<< 0.20070816-2), hunspell-uz (<< 0.6-3.1), hunspell-ko (<< 0.3.3-1), hunspell-se (<< 1.0~beta6.20081222-1.1), hunspell-de-med (<< 20090825-1), hunspell-en-us (<< 20070829-3), myspell-sv-se (<< 1.3.8-6-2.2), myspell-sk (<< 0.5.5a-2.1), myspell-fo (<< 0.2.36-3), myspell-nl (<< 1:1.10-3), myspell-pt-br (<< 2009.03.30-1.1), myspell-pl (<< 20090830-1), myspell-pt-pt (<< 20090309-1.1), myspell-ga (<< 2.0-19), myspell-gd (<< 0.50-7), myspell-ku (<< 0.20.0-1.1), myspell-hr (<< 20060617-2), myspell-fr-gut (<< 1:1.0-26.1), myspell-eo (<< 2.1.2000.02.25-41), myspell-de-de-oldspell (<< 1:2-25.1), myspell-da (<< 1.6.18-1.1), myspell-es (<< 1.10-7), myspell-de-at (<< 20071211-2), myspell-de-ch (<< 20071211-2), myspell-de-de (<< 20071211-2), hunspell-de-at (<< 20071211-2), hunspell-de-ch (<< 20071211-2), hunspell-de-de (<< 20071211-2), myspell-ca (<< 0.6-8), myspell-tl (<< 0.4-0-5), myspell-ne (<< 1.0-4.1), myspell-fr (<< 1.4-25), myspell-hy (<< 0.10.1-1.1), myspell-en-us (<< 1:3.1.0-3), myspell-en-gb (<< 1:3.1.0-3), myspell-en-za (<< 1:3.1.0-3), myspell-af (<< 1:3.1.0-3), myspell-it (<< 1:3.1.0-3), myspell-sw (<< 1:3.1.0-3), myspell-th (<< 1:3.1.0-3), hunspell-en-ca (<< 1:3.1.0-3), hunspell-ne (<< 1:3.1.0-3), hunspell-da (<< 1:3.1.0-3), hunspell-fr (<< 1:3.1.0-3), hunspell-vi (<< 1:3.1.0-3), hunspell-hu (<< 1:3.1.0-3), hunspell-sr (<< 1:3.1.0-3), hunspell-sh (<< 1:3.1.0-3), icedove-gnome-support (<< 3.0-1~)
Section: mail
Description: mail/news client with RSS and integrated spam filter support
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 The goal of Icedove is to produce a cross platform standalone mail application
 using the XUL user interface language.

Package: icedove-dev
Architecture: any
Section: mail
Depends: icedove (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libnspr4-dev, libnss3-dev
Description: Development files for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Icedove.

Package: icedove-dbg
Architecture: any
Priority: extra
Section: debug
Depends: icedove (= ${binary:Version}), ${misc:Depends}
Description: Debug Symbols for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the debug symbols for Icedove. Install this package if
 you need to debug such a program or if you need a useful backtrace of a crash.
