=== debian/watch ===
version=3
http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/(\d\.[\d\.]+)/source/thunderbird-([\d\.]+).source\.tar\.bz2
