## icedove 3.1.13

=== debian/changelog ===
icedove (3.1.13-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-34 Protection against fraudulent DigiNotar certificates

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 31 Aug 2011 20:58:14 +0200

icedove (3.1.12-1) unstable; urgency=high

  * New Upstream Version
    MFSA 2011-32:
    - CVE-2011-0084: Crash in SVGTextElement.getCharNumAtPosition()
    - CVE-2011-2378: Dangling pointer vulnerability in appendChild
    - CVE-2011-2980: Binary planting vulnerability in ThinkPadSensor::Startup
    - CVE-2011-2981: Privilege escalation using event handlers
    - CVE-2011-2982: Miscellaneous memory safety hazards (rv:1.9.2.20)
    - CVE-2011-2983: Private data leakage using RegExp.input
    - CVE-2011-2984: Privilege escalation dropping a tab element in content area
  * [c8fe0f9] rebuild patch queue from patch-queue branch
    obsolete patches (fixed upstream):
    - 0059-Fix-unaligned-reads-in-qcms.patch
  * [ddb3405] override libtheora embedded-library error
  * [4e1ec75] remove obsolete cdbs rule to extract tarball
  * [0fc5d44] build against libnotify4 (libnotify-dev >= 0.7) (Closes: #637194)
  * [77b5402] Build-depend on libjpeg-dev instead of libjpeg62-dev

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 20 Aug 2011 17:55:22 +0200

icedove (3.1.11-1) unstable; urgency=high

  * New Upstream Version
    - MFSA 2011-19 aka CVE-2011-2364, CVE-2011-2365, CVE-2011-2374,
                       CVE-2011-2376:
      Miscellaneous memory safety hazards (rv:3.0/1.9.2.18)
    - MFSA 2011-20 aka CVE-2011-2373: Use-after-free vulnerability when
      viewing XUL document with script disabled
    - MFSA 2011-21 aka CVE-2011-2377: Memory corruption due to
      multipart/x-mixed-replace images
    - MFSA 2011-22 aka CVE-2011-2371: Integer overflow and arbitrary code
      execution in Array.reduceRight()
    - MFSA 2011-23 aka CVE-2011-0083, CVE-2011-0085, CVE-2011-2363:
      Multiple dangling pointer vulnerabilities
    - MFSA 2011-24 aka CVE-2011-2362: Cookie isolation error
  * [2a82ce8] DM-Upload-Allowed is superfluous since I'm DD

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 26 Jun 2011 10:35:31 +0200

icedove (3.1.10-2) unstable; urgency=low

  * [de81b7f] remove obsolete build depends libxp-dev (Closes: #623668)
  * [633782d] change DEB_HOST_MULTIARCH back to DEB_HOST_GNU_TYPE and
    downgrade sqlite version (Closes: #627598)

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 06 Jun 2011 20:53:54 +0200

icedove (3.1.10-1) unstable; urgency=high

  * New Upstream Version (Closes: #625207)
    - MFSA 2011-12 aka CVE-2011-0069, CVE-2011-0070, CVE-2011-0072,
                       CVE-2011-0074, CVE-2011-0075, CVE-2011-0077,
                       CVE-2011-0078, CVE-2011-0080, CVE-2011-0081:
      Miscellaneous memory safety hazards (rv:2.0.1/ 1.9.2.17/ 1.9.1.19)
    - MFSA 2011-16 aka CVE-2011-0071: Directory traversal in resource: protocol
  * [78e0217] build against system libbz2
  * [e6af761] build against system libpng
  * [4b57c30] build against system libhunspell
  * [937f0bd] double check to build against most system libraries
  * [d6de723] rebuild patch queue from patch-queue branch
    added patches (Closes: #624969):
    - 0072-fix-building-with-gcc-4.6-Add-constructor-to-placate.patch
    - 0073-fix-building-with-gcc-4.6-os2.cc-missing-include-cst.patch
    - 0074-Add-constructor-for-nsCaseInsensitiveStringComparato.patch
    - 0075-Add-constructor-for-nsXULAppInfo-which-inherits-from.patch
    - 0076-Add-constructor-for-GTKEmbedDirectoryProvider.patch
    modified patches:
    - 0056-Disable-APNG-support-when-system-libpng-doesn-t-supp.patch
    obsolete patches (fixed upstream):
    - 0051-Do-exec-instead-of-uselessly-forking-in-xulrunner-la.patch
    - 0072-Add-support-for-libnotify-0.7.patch
  * [e190ef1] bump up standards version to 3.9.2 (change DEB_HOST_GNU_TYPE to
    DEB_HOST_MULTIARCH)

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 10 May 2011 20:03:04 +0200

icedove (3.1.9-2) unstable; urgency=low

  * Upload to unstable
  * [ace3b6f] rebuild patch queue from patch-queue branch
    added patches:
    - 0072-Add-support-for-libnotify-0.7.patch
  * [910f213] use DEP5 for copyright file
  * [3ae4c8b] set global section to 'mail'
  * [42c9c89] icedove.1: icedove is derived from Thunderbird instead of
    Mozilla suite

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 02 Apr 2011 09:43:04 +0200

icedove (3.1.9-1) experimental; urgency=low

  * New Upstream Version
    - MFSA 2011-01 aka CVE-2011-0053, CVE-2011-0062: Miscellaneous memory
      safety hazards (rv:1.9.2.14/ 1.9.1.17)
    - MFSA 2011-08 aka CVE-2010-1585: ParanoidFragmentSink allows javascript:
      URLs in chrome documents
    - MFSA 2011-09 aka CVE-2011-0061: Crash caused by corrupted JPEG image
  * [699536a] rebuild patch queue from patch-queue branch
    added patches:
    - 0069-save-a-copy-of-a-attached-file-when-sending-from-OOo.patch
      (Closes: #505875)
    - 0070-News-article-is-empty-if-selected-during-download-fr.patch
      (Closes: #487494)
    - 0071-restore-icedove-on-login-by-session-management.patch
      (Closes: #403458)
    modified patches:
    - 0003-no_dynamic_nss_softokn.patch
    - 0010-Support-building-on-GNU-kFreeBSD-and-GNU-Hurd.patch
    - 0030-Don-t-error-out-when-run-time-libsqlite-is-older-tha.patch
  * [98d8ac0] c-sdk move to sdks/c-sdk - adjust
    debian/{copyright,remove.nonfree,rules}

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 09 Mar 2011 20:21:59 +0100

icedove (3.1.7-1) experimental; urgency=low

  * New Upstream Version (Closes: #606977)
    - MFSA 2010-74 aka CVE-2010-3776, CVE-2010-3777: Miscellaneous memory
      safety hazards (rv:1.9.2.13/ 1.9.1.16)
    - MFSA 2010-75 aka CVE-2010-3769: Buffer overflow while line breaking
      after document.write with long string
    - MFSA 2010-78 aka CVE-2010-3768: Add support for OTS font sanitizer
  * [46e3e8a] rebuild patch queue from patch-queue branch
    added patches:

