=== debian/rules ===
--- 
+++ 
@@ -46,12 +46,6 @@
 
 DEB_AUTO_UPDATE_AUTOCONF=2.13
 
-ifneq (,$(wildcard *.tar.bz2)$(DEBIAN_MOZCLIENT_EMBEDDED))
-   DEB_TAR_SRCDIR := mozilla
-   MOZCLIENT_EMBEDDED = 1
-   DEBIAN_TB_DIR = /usr/lib/$(DEB_MOZ_NAME)-$(shell tail -1 build-tree/mozilla/$(MOZ_APPLICATION)/config/$(TB_VERSION_FILE))
-   include /usr/share/cdbs/1/rules/tarball.mk
-endif
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include $(CURDIR)/debian/mozclient/$(DEB_MOZ_APPLICATION).mk
@@ -83,9 +77,9 @@
 	--with-system-jpeg=/usr \
 	--with-system-zlib=/usr \
 	--with-system-bz2 \
-	--with-system-png \
 	--with-system-nspr \
 	--with-system-nss \
+	--with-system-png \
 	--disable-javaxpcom \
 	--disable-crashreporter \
 	--disable-elf-dynstr-gc \
@@ -107,6 +101,8 @@
 	--enable-crypto \
 	--enable-system-cairo \
 	--enable-system-sqlite \
+	--enable-system-ffi \
+	--enable-system-hunspell \
 	--with-distribution-id=$(DEBIAN_DIST) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--host=$(DEB_HOST_GNU_TYPE) \
@@ -117,6 +113,10 @@
 	DEB_CONFIGURE_USER_FLAGS += --disable-optimize
 else
 	DEB_CONFIGURE_USER_FLAGS += --enable-optimize
+endif
+
+ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
+	DEB_CONFIGURE_USER_FLAGS += --disable-necko-wifi
 endif
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
@@ -132,6 +132,7 @@
 	debian/$(DEB_MOZ_APPLICATION).menu \
 	debian/$(DEB_MOZ_APPLICATION).desktop \
 	debian/$(DEB_MOZ_APPLICATION).pc \
+	debian/$(DEB_MOZ_APPLICATION).lintian-overrides \
 	$(NULL)
 
 $(DEB_MOZ_APPLICATION)%: thunderbird%.in
@@ -143,7 +144,26 @@
 pre-build:: $(subst_files)
 
 configure/$(DEB_MOZ_APPLICATION)::
-	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/c-sdk/config/autoconf.mk
+	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/sdks/c-sdk/config/autoconf.mk
+# Ensure --{with,enable}-system options properly set expected variables
+# according to the definitions in the mozconfig file.
+	@awk -F' *# *| *$$' ' \
+	BEGIN { "find $(CURDIR)/mozilla -name autoconf.mk -printf \"%p \"" | getline confs } \
+	$$1 ~ /system/ { \
+		if (! $$2) { \
+			print FILENAME ": Missing variable for",$$1; \
+			error=1; \
+		} else { \
+			split($$2,var,"="); \
+			cmd = "grep -l " var[1] " " confs; \
+			cmd | getline dir; \
+			sub(/\/[^\/]*$$/, "", dir); \
+			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
+			cmd | getline value; \
+			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
+		} \
+	} \
+	END { if (error) { exit 1 }}' debian/icedove.configopts
 
 makebuilddir/$(DEB_MOZ_APPLICATION):: debian/stamp-autotools-files-moz
 debian/stamp-autotools-files-moz:
@@ -151,13 +171,31 @@
 	then cd $(DEB_SRCDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/js/src/configure ]; \
 	then cd $(DEB_SRCDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/c-sdk/configure ]; \
-	then cd $(DEB_SRCDIR)/directory/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/sdks/c-sdk/configure ]; \
+	then cd $(DEB_SRCDIR)/directory/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	touch $@
 
 install/$(DEB_MOZ_APPLICATION)::
 	install -d -m 755 debian/tmp/usr/share/pixmaps
 	install -m 644 $(TB_ICON) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm
+ifeq ($(DEB_MOZ_NAME),icedove)
+# Install icons
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/16x16/apps
+	install -m 644 debian/app-icons/icedove16.png \
+		debian/icedove/usr/share/icons/hicolor/16x16/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/32x32/apps
+	install -m 644 debian/app-icons/icedove32.png \
+		debian/icedove/usr/share/icons/hicolor/32x32/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/64x64/apps
+	install -m 644 debian/app-icons/icedove64.png \
+		debian/icedove/usr/share/icons/hicolor/64x64/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/128x128/apps
+	install -m 644 debian/app-icons/icedove128.png \
+		debian/icedove/usr/share/icons/hicolor/128x128/apps/icedove.png
+	install -d -m 755 debian/icedove/usr/share/icons/hicolor/scalable/apps
+	install -m 644 debian/app-icons/icedovebig.svg \
+		debian/icedove/usr/share/icons/hicolor/scalable/apps/icedove.svg
+endif
 
 install/$(DEB_MOZ_APPLICATION)-dev::
 	find debian/tmp/usr/share/idl/icedove -type f -name '*.idl' -exec chmod a-x {} \;
