## icedove 5.0

=== debian/changelog ===
icedove (5.0-2) experimental; urgency=low

  * [7f92927] fix FTBFS on ia64: use gcc with -O2 instead of -Os
  * [b6b8dea] Disable methodjit on armel
  * [5b45336] remove obsolete conffiles with dpkg-maintscript-helper
    (Closes: #636819)
  * [868cfa3] rebuild patch queue from patch-queue branch
    added patches:
    - porting/Allow-ipc-code-to-build-on-GNU-hurd.patch - fix building on
      GNU/hurd - Thanks to Pino Toscano

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 07 Aug 2011 15:35:09 +0200

icedove (5.0-1) experimental; urgency=low

  * New Upstream Version (Closes: #632037)
  * [98c5a8f] build against libffi and libvpx
  * [52dff12] build javascript lib as shared library
  * [6f1c24d] build against mozilla png library
  * [9e16beb] c-sdk moved from directory/sdks/c-sdk to ldap/sdks/c-sdk
  * [57763a0] override libtheora embedded-library error
  * [fc71b62] adjust install/links files for new upstream version
  * [6e83a58] Revert "lintian: override ancient-libtool warning" override no
    longer needed
  * [d65b463] change hardcoded list of non-Linux build depends into linux-any
    (Closes: #634301)
  * [ff3a8f3] remove file compare in build run
  * [a21efa9] add branding for icedove 5.0
  * [7023939] update porting/Fix-FTBFS-in-xpcom-base-on-armv4t.patch - fix
    building on armhf

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 03 Aug 2011 18:25:17 +0200
