=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 	autotools-dev,
 	libgtk2.0-dev (>= 2.12),
 	zip,
-	libjpeg-dev,
-	libpng12-dev (>= 1.2.0),
+	libjpeg62-dev (>= 6b),
 	zlib1g-dev,
 	libbz2-dev,
 	libxft-dev,
@@ -27,12 +26,15 @@
 	libstartup-notification0-dev,
 	libdbus-glib-1-dev (>= 0.60),
 	libsqlite3-dev (>= 3.7.1),
-	libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-	libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+	libasound2-dev [linux-any],
+	libiw-dev [linux-any],
 	python-ply,
 	cdbs (>= 0.4.27),
-	libnotify-dev (>= 0.7),
-	libffi-dev
+	libnotify-dev (>= 0.4),
+	libffi-dev,
+	libevent-dev (>= 1.4.1),
+	libvpx-dev,
+	mesa-common-dev
 Vcs-Git: git://git.debian.org/pkg-mozilla/icedove.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/icedove.git;a=summary
 Standards-Version: 3.9.2
