=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,15 @@
 
 DEB_AUTO_UPDATE_AUTOCONF=2.13
 
+ifneq (,$(wildcard *.tar.bz2)$(DEBIAN_MOZCLIENT_EMBEDDED))
+   DEB_TAR_SRCDIR := mozilla
+   MOZCLIENT_EMBEDDED = 1
+   DEBIAN_TB_DIR = /usr/lib/$(DEB_MOZ_NAME)-$(shell tail -1 build-tree/mozilla/$(MOZ_APPLICATION)/config/$(TB_VERSION_FILE))
+   include /usr/share/cdbs/1/rules/tarball.mk
+endif
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include $(CURDIR)/debian/mozclient/$(DEB_MOZ_APPLICATION).mk
-include $(CURDIR)/debian/mozclient/compare.mk
 
 DEB_AUTO_UPDATE_DEBIAN_CONTROL=0
 
@@ -77,9 +82,10 @@
 	--with-system-jpeg=/usr \
 	--with-system-zlib=/usr \
 	--with-system-bz2 \
+	--with-system-libvpx \
+	--with-system-libevent \
 	--with-system-nspr \
 	--with-system-nss \
-	--with-system-png \
 	--disable-javaxpcom \
 	--disable-crashreporter \
 	--disable-elf-dynstr-gc \
@@ -99,6 +105,7 @@
 	--enable-gnomeui \
 	--enable-canvas \
 	--enable-crypto \
+	--enable-shared-js \
 	--enable-system-cairo \
 	--enable-system-sqlite \
 	--enable-system-ffi \
@@ -123,8 +130,18 @@
 	MAIN_LDFLAGS += -Wl,--no-relax
 endif
 
+ifeq ($(DEB_BUILD_ARCH),ia64)
+	DEB_CONFIGURE_USER_FLAGS += --enable-optimize=-O2
+endif
+
+ifeq ($(DEB_BUILD_ARCH),armel)
+	DEB_CONFIGURE_USER_FLAGS += --disable-methodjit
+endif
+
 subst_files = \
 	debian/$(DEB_MOZ_APPLICATION).postinst \
+	debian/$(DEB_MOZ_APPLICATION).postrm \
+	debian/$(DEB_MOZ_APPLICATION).preinst \
 	debian/$(DEB_MOZ_APPLICATION).prerm \
 	debian/$(DEB_MOZ_APPLICATION).install \
 	debian/$(DEB_MOZ_APPLICATION)-dev.install \
@@ -133,6 +150,7 @@
 	debian/$(DEB_MOZ_APPLICATION).desktop \
 	debian/$(DEB_MOZ_APPLICATION).pc \
 	debian/$(DEB_MOZ_APPLICATION).lintian-overrides \
+	debian/$(DEB_MOZ_APPLICATION)-dev.lintian-overrides \
 	$(NULL)
 
 $(DEB_MOZ_APPLICATION)%: thunderbird%.in
@@ -144,7 +162,7 @@
 pre-build:: $(subst_files)
 
 configure/$(DEB_MOZ_APPLICATION)::
-	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/sdks/c-sdk/config/autoconf.mk
+	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk ldap/sdks/c-sdk/config/autoconf.mk
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
@@ -171,8 +189,8 @@
 	then cd $(DEB_SRCDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/mozilla/js/src/configure ]; \
 	then cd $(DEB_SRCDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/directory/sdks/c-sdk/configure ]; \
-	then cd $(DEB_SRCDIR)/directory/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(DEB_SRCDIR)/ldap/sdks/c-sdk/configure ]; \
+	then cd $(DEB_SRCDIR)/ldap/sdks/c-sdk && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	touch $@
 
 install/$(DEB_MOZ_APPLICATION)::
@@ -205,10 +223,7 @@
 	dh_install -p$(DEB_MOZ_APPLICATION) debian/tmp/usr/share/pixmaps/$(DEB_MOZ_APPLICATION).xpm usr/share/pixmaps
 	dh_link -p$(DEB_MOZ_APPLICATION) $(DEBIAN_TB_DIR)/$(DEB_MOZ_APPLICATION) usr/bin/$(DEB_MOZ_APPLICATION)
 
-binary-post-install/$(DEB_MOZ_APPLICATION):: compare
-
 binary-predeb/$(DEB_MOZ_APPLICATION)::
 	LD_LIBRARY_PATH=$(DEB_DESTDIR)usr/lib/$(DEB_MOZ_APPLICATION) dpkg-shlibdeps -Tdebian/$(DEB_MOZ_APPLICATION).substvars -dDepends -pgnome $(foreach lib,dbusservice mozgnome nkgnomevfs,debian/$(DEB_MOZ_APPLICATION)/usr/lib/$(DEB_MOZ_APPLICATION)/components/lib$(lib).so)
 
 clean::
-	rm -f debian/stamp-autotools-files-moz debian/stamp-icedove-branding
